Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface ConditionalElementListener

All Known Implementing Classes:
  BlockContainerLayoutManager, BlockLayoutManager, ListBlockLayoutManager, ListItemLayoutManager, TableLayoutManager

    public interface ConditionalElementListener

This interface is used to notify layout managers about the situation around spaces, borders and padding just before the addArea() method is called when a part is being painted.

Method Summary
`void` | `notifyBorder(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length/width of its border.
`void` | `notifyPadding(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length/width of its padding.
`void` | `notifySpace(RelSide side, MinOptMax effectiveLength)` Notifies the layout manager about the effective length of its space.

Method Detail

### notifySpace

    void notifySpace(RelSide side,
                     MinOptMax effectiveLength)

  Notifies the layout manager about the effective length of its space.

  Parameters:
    `side` - the side to which the space applies
    `effectiveLength` - the effective length after space-resolution (null means zero length)

### notifyBorder

    void notifyBorder(RelSide side,
                      MinOptMax effectiveLength)

  Notifies the layout manager about the effective length/width of its border.

  Parameters:
    `side` - the side to which the border applies
    `effectiveLength` - the effective length in the current break situation (null means zero length)

### notifyPadding

    void notifyPadding(RelSide side,
                       MinOptMax effectiveLength)

  Notifies the layout manager about the effective length/width of its padding.

  Parameters:
    `side` - the side to which the padding applies
    `effectiveLength` - the effective length in the current break situation (null means zero length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.